targetSdkVersion 30 问题

targetSdkVersion 30 
加载3D模型闪退
6AAQH2XE3YTZNK~XAPM5FH.png
已邀请:

Laya_小小泽

赞同来自:

我们默认的29,不是默认的话可能会出现适配问题。可以的话提供必现的demo能更快的帮你定位到问题

阿强爱工作

赞同来自:

demo 发现引用laya.physics3D 就会闪退

null

赞同来自:

打包APK遇到同问题,使用Android API 29及以下时,可以正常加载3D资源并进入关卡;使用Android API 30及以上时,加载部分3D资源就会闪退,而在不引用laya.physics3D这个脚本的测试中,不会发生闪退。我们上GooglePlay,8月起,Google要求最低的API级别为30,求官方协助解决

lv

赞同来自:

这边没有复现。提供下LayaAir和LayaNative的版本号,这两个一起版本最好一致。是否是毕现?所有机型还是个别机型?截图崩溃信息截全一点,现在提供的看不清楚

阿强爱工作

赞同来自:

IDE 是 2.11.0
类库是 2.9.0
LayaNative 2.9.0和2.12.0都试了

要回复问题请先

商务合作
商务合作